from pygaze.display import Display
from pygaze.screen import Screen
from pygaze.keyboard import Keyboard
import pygaze.libtime as timer

# Generate a Display instance.
disp = Display()

# Generate a new Screen.
scr = Screen()

# Generate a new Keyboard.
kb = Keyboard(keylist=None, \
    timeout=None)

# Show the display.
showtime = disp.show()

# Wait for keyboard input.
key, presstime = kb.get_key( \
    keylist=['space', 'escape'], \
    timeout=5000)

# Generate a feedback string.
if key == 'space':
    feedback = "You pressed %s \nRT=%d" \
        % (key, presstime-showtime)
elif key == 'escape':
    feedback = 'NO ESCAPE, LULZ!'
else:
    feedback = "You pressed nothing."

# Update the screen.
scr.draw_text(text=feedback, \
    fontsize=42)
disp.fill(scr)
disp.show()
timer.pause(5000)

# Keep looping until Space is pressed.
response = ''
running = True
while running:
    # Get new input
    key, presstime = kb.get_key( \
        keylist=None, timeout=None)
    # Evaluate new input
    if key is None:
        pass
    elif key == 'space':
        response = response + ' '
    elif len(key) == 1:
        response = response + key
    elif key == 'backspace':
        response = response[0:-1]
    elif key in ['enter', 'return']:
        running = False
    # Update the Screen
    scr.clear(colour='#ff69b4')
    scr.draw_text(text=response, \
        fontsize=42)
    # Update the Display
    disp.fill(scr)
    disp.show()

# Close the display.
disp.close()
