from pygaze.display import Display
from pygaze.screen import Screen
from pygaze.keyboard import Keyboard
from pygaze.sound import Sound
from pygaze.logfile import Logfile
import pygaze.libtime as timer

# Generate a new Display
disp = Display()

# Generate a new Screen
scr = Screen()

# Generate a new Keyboard
kb = Keyboard()

# Open a new Logfile
log = Logfile()
log.write(['trialnr', 'RT'])

# Generate two Sounds
badsound = Sound(osc='whitenoise', \
    length=500)
goodsound = Sound(osc='sine', \
    freq=1500, length=500)

# Run through 10 trials.
for trialnr in range(10):

    # Show some text.
    scr.draw_text(text="CLICK NOW")
    disp.fill(scr)
    onset = disp.show()
    
    # Get input
    key, presstime = kb.get_key(\
        keylist=None, timeout=None, \
        flush=True)
    
    # Compute response time
    rt = presstime - onset
    
    # Log the response time
    log.write([trialnr, rt])
    
    # Play feedback sound
    if rt < 500:
        goodsound.play()
    else:
        badsound.play()
    
    # Clear the screen
    scr.clear()
    disp.fill(scr)
    disp.show()
    # Wait for a bit
    timer.pause(1500)

log.close()
disp.close()
